%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%global with_test 0

%global up_name neutron-lbaas-dashboard

Name:           openstack-neutron-lbaas-ui
Version:        1.0.0
Release:        3%{?dist}
Summary:        Horizon UI support for Neutron LBaaS

License:        ASL 2.0
URL:            https://github.com/openstack/neutron-lbaas-dashboard/
Source0:        http://tarballs.openstack.org/%{up_name}/%{up_name}-%{upstream_version}.tar.gz

# patches_ignore=DROP-IN-RPM
# patches_base=1.0.0
Patch0001: 0001-Revert-Adjust-whitespace-in-setup.cfg.patch
Patch0002: 0002-Revert-Removing-.gitignore.patch
Patch0003: 0003-Indicate-table-loading-error-and-empty-states.patch
Patch0004: 0004-Improve-the-technique-for-generating-default-resourc.patch
Patch0005: 0005-fix-unit-tests.patch
Patch0006: 0006-Updated-from-global-requirements.patch
Patch0007: 0007-Updated-from-global-requirements.patch
Patch0008: 0008-Updated-from-global-requirements.patch
Patch0009: 0009-Update-load-balancer-wizard-help.patch
Patch0010: 0010-Make-Barbican-client-respect-OPENSTACK_ENDPOINT_TYPE.patch
Patch0011: 0011-Updated-from-global-requirements.patch
Patch0012: 0012-Fix-devstack-plugin-clean-up.patch
Patch0013: 0013-Updated-from-global-requirements.patch
Patch0014: 0014-LBaaS-dashboard-resepects-OPENSTACK_SSL-settings.patch
Patch0015: 0015-Fix-list_loadbalancers-function.patch
Patch0016: 0016-Remove-discover-from-test-requirements.patch
Patch0017: 0017-Subnet-dropdown-list-has-empty-fields.patch
Patch0018: 0018-Remove-unused-logging.patch
Patch0019: 0019-Don-t-include-openstack-common-in-flake8-exclude-lis.patch
Patch0020: 0020-Translation-preparation-for-neutron-lbaas-dashboard.patch
Patch0021: 0021-modify-the-home-page-info-with-the-developer-documen.patch
Patch0022: 0022-Drop-MANIFEST.in-it-s-not-needed-by-pbr.patch
Patch0023: 0023-Updated-from-global-requirements.patch
Patch0024: 0024-Imported-Translations-from-Zanata.patch
Patch0025: 0025-Removing-.gitignore.patch

BuildArch:      noarch
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
BuildRequires:  python-sphinx
BuildRequires:  python-oslo-sphinx
BuildRequires:  python-pbr
Requires:  openstack-dashboard >= 9.0.0
Requires:  python-barbicanclient
Requires:  python-pbr

Provides:  neutron-lbaas-dashboard

%description
Horizon panels for Neutron LBaaS v2

%package doc
Summary: Documentation for Neutron LBaaS dashboard
%description doc
Documentation for Neutron LBaaS dashboard


%prep
%autosetup -S git -n %{up_name}-%{upstream_version}

# Let RPM handle the dependencies
rm -f test-requirements.txt requirements.txt

%build
CFLAGS="%{optflags}" %{__python} setup.py %{?py_setup_args} build --executable="%{__python2} -s"

export PBR_VERSION="1.8.1"
sphinx-build doc/source html

# clean up files after sphinx
rm html/.buildinfo
rm -rf html/.doctrees


%install
CFLAGS="%{optflags}" %{__python} setup.py %{?py_setup_args} install -O1 --skip-build --root %{buildroot}

mkdir -p %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/
install -p -D -m 640 neutron_lbaas_dashboard/enabled/_1481_project* %{buildroot}%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/

%check
%if %{?with_test}
%{__python2} setup.py test
%endif


%files
%doc README.rst doc
%license LICENSE
%{python2_sitelib}/neutron_lbaas_dashboard
%{python2_sitelib}/neutron_lbaas_dashboard-%{version}*-py%{python_version}.egg-info
%{_datadir}/openstack-dashboard/openstack_dashboard/local/enabled/_1481*

%files doc
%doc html
%license LICENSE


%changelog
* Tue Jan 23 2018 Jason Joyce <jjoyce@redhat.com> 1.0.0-3
- Removing .gitignore
- Imported Translations from Zanata
- Updated from global requirements
- Drop MANIFEST.in - it's not needed by pbr
- modify the home-page info with the developer documentation
- Translation preparation for neutron-lbaas-dashboard
- Don't include openstack/common in flake8 exclude list
- Remove unused logging
- Subnet dropdown list has empty fields
- Remove discover from test-requirements
- Fix list_loadbalancers function
- LBaaS dashboard resepects OPENSTACK_SSL settings
- Updated from global requirements
- Fix devstack plugin clean-up
- Updated from global requirements
- Make Barbican client respect OPENSTACK_ENDPOINT_TYPE
- Update load balancer wizard help
- Updated from global requirements
- Updated from global requirements
- Updated from global requirements
- fix unit tests
- Improve the technique for generating default resource names
- Indicate table loading, error, and empty states
- Revert "Removing .gitignore"
- Revert "Adjust whitespace in setup.cfg"

* Tue Dec 19 2017 Nir Magnezi <nmagnezi@redhat.com> 1.0.0-2
- Copy only new ngloadbalancersv2 panel (rhbz#1368601)

* Wed Sep 14 2016 Haikel Guemar <hguemar@fedoraproject.org> 1.0.0-1
- Update to 1.0.0

